MOSAIC-CK(1)

NAME
mosaic-ck - fork of the ancient and venerable NCSA Mosaic web browser

SYNOPSIS
mosaic-ck [-mono] [-color] [-nd] [-geometry geom] [-display disp] [-install] [-iconic] [url]

DESCRIPTION
Mosaic is widely considered the grandfather of the modern web browser. Developed at NCSA, it was the first Web browser to win widespread use and acceptance. The last release of Mosaic was in 1997.

mosaic-ck is a fork of Mosaic, with several features that allow it to work as a basic, no-frills browser on the modern WWW. Think of it as "lynx with images". There is no support for cookies, SSL, Java, Javascript, Flash, stylesheets, or frames. Table support is optional (and doesn't work well). Unicode/UTF-8 is partially supported.

OPTIONS
Unknown options are ignored. If more than one URL is given, only the first is used.

-mono
    Starts in monochrome mode. Doesn't seem to actually work.

-color
    Starts in color mode. This is the default anyway.

-nd No defaults: don't use existing X resources. See README.resources.html.

-geometry geom
    Starting position and size of window. geom is a standard X geometry specifier, e.g. 640x480+0+0.

-display disp
    Connect to specified X display. Default is to use the DISPLAY option in the environment.

-install
    Install own colormap. Obsolete unless you're using an X server with 256 or fewer colors.

-iconic
    Start the application minimized.

FILES

/etc/X11/app-defaults/Mosaic
    Default X resources, for specifying options like fonts and default window geometry. Can be overridden by the user's ~/.Xdefaults or ~/.Xresources. If this file doesn't exist, built-in defaults are used instead.

~/.mosaic
    Preferences, history, annotations, etc are saved here. May also contain these optional config files:

    mosaic-imageselect-sites
        Optional rules for whether to immediately load, delay loading, or not load images from particular sites. Might be useful for ad blocking.

    mosaic-spoof-agents
        List of options for the Options -> Agent Spoofs sub-menu.

    mosaic-user-defs
        Used to define custom actions. Example contents of this file might be:

                Google Search
                GET:http://google.com/search?q=__string__

        To use, highlight some text, then right-click and select User -> Google Search.

    See /usr/doc/mosaic-ck-2.7ck9/sample_dotfiles for commented examples of the above files.

AUTHORS
NCSA Mosaic credits:

        =============================================================================
        Scott Powers    spowers@ncsa.uiuc.edu \        The N.C.S.A. X Mosaic
        Kristin Buxton  kbuxton@uiuc.edu       \         Development Team
        Dan Pape        dpape@ncsa.uiuc.edu     >
        Tommy Reilly    tpreilly@uiuc.edu      /  Comments? Suggestions? Problems?
        Brian Swetland  swetland@uiuc.edu     /       mosaic-x@ncsa.uiuc.edu
        =============================================================================

mosaic-ck branch maintained by Cameron Kaiser. See homepage at http://www.floodgap.com/retrotech/machten/mosaic/

This man page written by B. Watson for the SlackBuilds.org project.